Range-v3 Range algorithms, views, and actions for the Standard Library |

concepts::basic_common_reference< T, U, TQual, UQual > Struct Template Reference
Utility

## Description

### template<typename T, typename U, template< typename > class TQual, template< typename > class UQual>
struct concepts::basic_common_reference< T, U, TQual, UQual >

Users can specialize this to hook the `common_reference_with` concept.

See also
  `common_reference`